Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tibco.bpm.web.client.services.actions.security
Class CheckSystemAction

    java.lang.Object
      com.tibco.bpm.web.client.services.actions.security.CheckSystemAction

All Implemented Interfaces:
  com.google.gwt.user.client.rpc.IsSerializable, OSAction<OrgModelEntityResult>, net.customware.gwt.dispatch.shared.Action<OrgModelEntityResult>

    public class CheckSystemAction

extends java.lang.Object
implements OSAction<OrgModelEntityResult>

Check the specified System Action for the supplied list of Org Entities. The result will contain a list of Org Entities who are not authorised.

©2011 TIBCO Software Inc.

Since:
  2.0.0
See Also:
  ``

Constructor Summary
`CheckSystemAction(java.lang.String actionName, java.lang.String actionComponent, OrgModelEntity scope, java.util.ArrayList<OrgModelEntity> entitiesToCheck)` Constructs a new CheckSystemAction Action.

Method Summary
`java.lang.String` | `getActionComponent()` The component for the System Action to check
`java.lang.String` | `getActionName()` The name of the System Action to check
`java.util.ArrayList<OrgModelEntity>` | `getEntitiesToCheck()` The list of entities to check the System Action for
`OrgModelEntity` | `getScope()` The scope to check the System Action for

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CheckSystemAction

    public CheckSystemAction(java.lang.String actionName,
                             java.lang.String actionComponent,
                             OrgModelEntity scope,
                             java.util.ArrayList<OrgModelEntity> entitiesToCheck)

  Constructs a new CheckSystemAction Action.

  Parameters:
    `actionName` - The Name of the System Action to check
    `actionComponent` - The Component of the System Action to check
    `scope` - The Scope to check the System Action for
    `entitiesToCheck` - List of the entities to check

Method Detail

### getActionName

    public java.lang.String getActionName()

  The name of the System Action to check

### getActionComponent

    public java.lang.String getActionComponent()

  The component for the System Action to check

### getScope

    public OrgModelEntity getScope()

  The scope to check the System Action for

### getEntitiesToCheck

    public java.util.ArrayList<OrgModelEntity> getEntitiesToCheck()

  The list of entities to check the System Action for

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015 TIBCO Software Inc. All Rights Reserved.